API Documentation |
PopUpEvent

Package | ch.unil.cbg.ExpressionView.events
Class | public class PopUpEvent
Inheritance | PopUpEvent flash.events.Event

Public Properties

| Property | Defined By
--- | --- | ---
|  | data : Array | PopUpEvent

Public Methods

| Method | Defined By
--- | --- | ---
|  | PopUpEvent(_type:String, _data:Array = null, _bubbles:Boolean = true, _cancelable:Boolean = true) | PopUpEvent
|  | clone():Event [override] | PopUpEvent

Public Constants

| Constant | Defined By
--- | --- | ---
|  | CANCEL : String = Cancel [static] | PopUpEvent
|  | OK : String = Ok [static] | PopUpEvent

Property Detail

data | property

`public var data:Array`

Constructor Detail

PopUpEvent | () | Constructor

`public function PopUpEvent(_type:String, _data:Array = null, _bubbles:Boolean = true, _cancelable:Boolean = true)`

Parameters

| `_type:String`
| `_data:Array` (default = `null`)``
| `_bubbles:Boolean` (default = `true`)``
| `_cancelable:Boolean` (default = `true`)``

Method Detail

clone | () | method

`override public function clone():Event`

Returns

| `Event`

Constant Detail

CANCEL | Constant

`public static const CANCEL:String = Cancel`

OK | Constant |

`public static const OK:String = Ok`

Mon Oct 17 2011, 09:13 PM -04:00